Package uk.ac.starlink.topcat.plot2

## Class LayerCommand

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.LayerCommand

-     public class LayerCommand
      extends java.lang.Object

  Specifies the characteristics of a new plot layer to add to a plot.
  Since:
    18 Dec 2013
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LayerCommand​(uk.ac.starlink.ttools.plot2.Plotter plotter, TopcatModel tcModel, java.util.Map<java.lang.String,java.lang.String> inputValues, uk.ac.starlink.ttools.plot2.config.ConfigMap config, RowSubset rset)` | Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `uk.ac.starlink.ttools.plot2.config.ConfigMap` | `getConfig()` | Returns a configuration map containing any explicit values required for layer configuration.
    `static java.lang.String` | `getInputName​(uk.ac.starlink.ttools.plot2.data.Input input)` | Obtains a unique name for an input coordinate specifier.
    `java.util.Map<java.lang.String,java.lang.String>` | `getInputValues()` | Returns a mapping which gives the values of the input coordinates used by the layer.
    `uk.ac.starlink.ttools.plot2.Plotter` | `getPlotter()` | Returns the plotter that will generate the layer.
    `RowSubset` | `getRowSubset()` | Returns the row subset for which the layer is to be plotted.
    `TopcatModel` | `getTopcatModel()` | Returns the table supplying the table data.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LayerCommand

          public LayerCommand​(uk.ac.starlink.ttools.plot2.Plotter plotter,
                              TopcatModel tcModel,
                              java.util.Map<java.lang.String,java.lang.String> inputValues,
                              uk.ac.starlink.ttools.plot2.config.ConfigMap config,
                              RowSubset rset)

      Constructor.
      Parameters:
        `plotter` - plotter
        `tcModel` - table providing plot data
        `inputValues` - string values to be entered into column input fields, keyed by coordinate input short name
        `config` - configuration options to apply to the plot; default values will be used for any not supplied
        `rset` - row subset for which the plot will be made

  - ### Method Detail

    - #### getPlotter

          public uk.ac.starlink.ttools.plot2.Plotter getPlotter()

      Returns the plotter that will generate the layer.
      Returns:
        plotter

    - #### getTopcatModel

          public TopcatModel getTopcatModel()

      Returns the table supplying the table data. May be null for a data-less layer.
      Returns:
        table

    - #### getInputValues

          public java.util.Map<java.lang.String,java.lang.String> getInputValues()

      Returns a mapping which gives the values of the input coordinates used by the layer. The map keys are obtained from `getInputName(uk.ac.starlink.ttools.plot2.data.Input)`. The map values are the strings that appear in column selectors or on a command line to specify the column value - generally a column name or JEL expression.
      Returns:
        user coordinate name->specification map

    - #### getConfig

          public uk.ac.starlink.ttools.plot2.config.ConfigMap getConfig()

      Returns a configuration map containing any explicit values required for layer configuration. Any unspecified options will take their default values.
      Returns:
        explicit configuration options

    - #### getRowSubset

          public RowSubset getRowSubset()

      Returns the row subset for which the layer is to be plotted.
      Returns:
        row subset

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getInputName

          public static java.lang.String getInputName​(uk.ac.starlink.ttools.plot2.data.Input input)

      Obtains a unique name for an input coordinate specifier.
      Parameters:
        `input` - input coordinate specifier
      Returns:
        name suitable as map key

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.